четверг, 2 февраля 2012 г.

nvidia+prelink=segfault

при использовании прелинка с блобом, проявляется бага - сегфолт
например на хромиуме, но не только
баг есть во всей ветке 290.* и в 295.17
в 295.09 бага нет (вот зачем опять всё сломали в 295.17? :3 )
бага кроется в "libGL.so.${version}" и/или "libnvidia-tls.so.${version}"
мат в невидию отправлен - ждёмс
а пока можно или маскировать эти либы - в генте
cat /etc/env.d/99prelink 
PRELINK_PATH_MASK="/opt:/usr/lib/opengl/nvidia/lib/"
ну или не использовать прелинк с вышеназванными версиями
речь про 32-х битную систему
про 64 - хз